/***************************************************************************
 *   Copyright (C) 2007 by    *
 *      *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#ifndef acsboard078_H
#define acsboard078_H

#include "ui_acsboard078.h"
#include <tango.h>
#include <QProcess>

class acsboard078: public QWidget
{
    Q_OBJECT

public:
    acsboard078(QWidget * =NULL);
    ~acsboard078();

public slots:
    void refresh();

private:
    Ui::acsboard078 ui;
    QTimer *timer;
    Tango::DeviceAttribute myAttribute;
    Tango::DeviceProxy 	*plc_server;
    int myReadAttribute(const char *);

};


#endif
